package com.kingdee.eas.custom.workflow;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractCompanyWorkflowEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractCompanyWorkflowEntryInfo()
    {
        this("id");
    }
    protected AbstractCompanyWorkflowEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's null property 
     */
    public com.kingdee.eas.custom.workflow.CompanyWorkflowInfo getParent()
    {
        return (com.kingdee.eas.custom.workflow.CompanyWorkflowInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.workflow.CompanyWorkflowInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 分录 's 审批岗位 property 
     */
    public com.kingdee.eas.custom.workflow.WorkflowPostionInfo getPostion()
    {
        return (com.kingdee.eas.custom.workflow.WorkflowPostionInfo)get("postion");
    }
    public void setPostion(com.kingdee.eas.custom.workflow.WorkflowPostionInfo item)
    {
        put("postion", item);
    }
    /**
     * Object: 分录 's 审批人员 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object:分录's 备注property 
     */
    public String getRemark()
    {
        return getString("remark");
    }
    public void setRemark(String item)
    {
        setString("remark", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("CA72069A");
    }
}